import { StatementRuleConfiguration } from "@appglue/common/dist/Rule/Statement/StatementRuleConfiguration";
import { IContext } from "@appglue/common/dist/Common/IContext";
import { IDesignPanelConfig } from "@appglue/common/dist/Common/IDesignPanelConfig";
import { RuleBuilderPage } from "@appglue/common/dist/Rule/RuleBuilderPage";
import { DialogProps } from "@appglue/common/dist/Common/DialogProps";
import { ILinkingData } from "@appglue/common/dist/Rule/ILinkingData";
export declare class StatementRuleEditContext implements IContext {
    designConfig?: IDesignPanelConfig | undefined;
    runtimeConfig?: IDesignPanelConfig | undefined;
    clipboardElement: any;
    lastSelectionElement: any;
    mode: RuleBuilderPage;
    definition: StatementRuleConfiguration;
    title?: string;
    onRuleSave?: () => void;
    onRuleCancel?: () => void;
    _openLinkingDialog: boolean;
    constructor(rule: StatementRuleConfiguration);
    _notification: DialogProps | undefined;
    get notification(): DialogProps | undefined;
    set notification(notification: DialogProps | undefined);
    get openLinkDialog(): boolean;
    set openLinkDialog(open: boolean);
    _linkData: ILinkingData;
    get linkData(): ILinkingData;
    set linkData(data: ILinkingData);
    onSave(): void;
    onCancel(): void;
    onCopy(id?: string): void;
    onCut(id?: string): void;
    onDelete(id?: string): void;
    onPaste(id?: string): void;
}
